package net.phatcode.rel;


public class BehaviorShot extends Behavior
{

	public BehaviorShot()
	{
		
	}

	@Override
	public void update( Entity entity )
	{
		
	}
	
	public void update( ShotEntity entity, ShotEntity.TYPE type )
	{
		if( type == ShotEntity.TYPE.NORMAL )
		{
			entity.velocity.set(entity.direction);
			entity.velocity.scale( entity.speed );
			entity.position.add( entity.velocity );
		}
		else
		{
			entity.angle += 0.214;
			entity.radius += 0.150;
			float dx =(float)Math.sin( entity.angle ) * entity.radius;
			entity.velocity.set(entity.direction);
			entity.velocity.scale( entity.speed );
			entity.position.add( entity.velocity );
			entity.position.add( dx, 0 );
		}
	}

}
